Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class MemberImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl
          com.tonbeller.jpivot.olap.model.impl.MemberImpl

All Implemented Interfaces:
  Decorator, Displayable, Expression, Member, PropertyHolder, Visitable

Direct Known Subclasses:
  TestMember

    public class MemberImpl

extends PropertyHolderImpl
implements Member

Created on 11.10.2002

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`MemberImpl()`
`MemberImpl(java.util.List propertyList)`
`MemberImpl(Property[] properties)`

Method Summary
`void` | `accept(Visitor visitor)`
`java.lang.String` | `getLabel()` Returns the label.
`Level` | `getLevel()` Returns the level.
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`int` | `getRootDistance()` Returns the rootDistance.
`boolean` | `isAll()`
`boolean` | `isCalculated()` an OLAP Member may be calculated i.e. derived from original members
`void` | `setLabel(java.lang.String label)` Sets the label.
`void` | `setLevel(Level level)` Sets the level.
`void` | `setRootDistance(int rootDistance)` Sets the rootDistance.

Methods inherited from class com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl
`addProperty, getProperties, getProperty, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.model.Member
`equals`

Methods inherited from interface com.tonbeller.jpivot.olap.model.PropertyHolder
`getProperties, getProperty`

Constructor Detail

### MemberImpl

    public MemberImpl()

### MemberImpl

    public MemberImpl(Property[] properties)

### MemberImpl

    public MemberImpl(java.util.List propertyList)

Method Detail

### getRootDistance

    public int getRootDistance()

  Returns the rootDistance.

  Specified by:
    `getRootDistance` in interface `Member`
  Returns:
    int

### setRootDistance

    public void setRootDistance(int rootDistance)

  Sets the rootDistance.

  Parameters:
    `rootDistance` - The rootDistance to set

### getLevel

    public Level getLevel()

  Returns the level.

  Specified by:
    `getLevel` in interface `Member`
  Returns:
    Level

### setLevel

    public void setLevel(Level level)

  Sets the level.

  Parameters:
    `level` - The level to set

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Specified by:
    `getLabel` in interface `Displayable`
  Returns:
    String

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - The label to set

### isAll

    public boolean isAll()

  Specified by:
    `isAll` in interface `Member`
  Returns:
    true, if the member is an "All" member

### isCalculated

    public boolean isCalculated()

  Description copied from interface: `Member`
  an OLAP Member may be calculated i.e. derived from original members

  Specified by:
    `isCalculated` in interface `Member`
  Returns:
    true,if the member is calculated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD